// Standard attributes 
this.name           = "smivs_screen-backgrounds_worldscript"; 
this.author         = "Smivs"; 
this.copyright      = "Smivs";
this.licence        = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0 license";       
this.version        = "1.1"; 
this.description    = "Script to add backgrounds to 'in-game' GUI screens."  

/*jslint white: true, undef: true, eqeqeq: true, bitwise: true, regexp: true, newcap: true, immed: true */

"use strict";

this.guiScreenChanged = function ()
{
  if(guiScreen === "GUI_SCREEN_EQUIP_SHIP")
    {
      setScreenBackground({ name: "bs-base-bg.png" });
    }
  if(guiScreen === "GUI_SCREEN_INTERFACES")
    {
      setScreenBackground({ name: "bs-base-bg.png" });
    }
  if(guiScreen === "GUI_SCREEN_LONG_RANGE_CHART")
    {
      setScreenBackground({ name: "bs-lrc-bg.png" });
    }
  if(guiScreen === "GUI_SCREEN_MANIFEST")
    {
      setScreenBackground({ name: "bs-base-bg.png" });
    }
  if(guiScreen === "GUI_SCREEN_MARKET")
    {
      setScreenBackground({ name: "bs-market-bg.png" });
    }
  if(guiScreen === "GUI_SCREEN_OPTIONS")
    {
      setScreenBackground({ name: "bs-base-bg.png" });
    }
  if(guiScreen === "GUI_SCREEN_REPORT")
    {
      setScreenBackground({ name: "bs-report-bg.png" });
    }
  if(guiScreen === "GUI_SCREEN_SHIPYARD")
    {
      setScreenBackground({ name: "bs-shipyard-bg.png" });
    }
  if(guiScreen === "GUI_SCREEN_SHORT_RANGE_CHART")
    {
      setScreenBackground({ name: "bs-src-bg.png" });
    }
  if(guiScreen === "GUI_SCREEN_STATUS")
    {
      setScreenBackground({ name: "bs-base-bg.png" });
    }
  if(guiScreen === "GUI_SCREEN_SYSTEM_DATA")
    {
      setScreenBackground({ name: "bs-base-bg.png" });
    }
}

